{% extends "plotting.html" %}

{% block body %}
{% if not data %}
<h1>Empty dataset. Check hostname</h1>
{% else %}

{% for e in data %}
<div id="plot{{loop.index}}" class="plotdiv"></div>
{% endfor %}


<script type="text/javascript">
  {% for element in data %}
  var data = [[
    {% for point in element[1].get_all_compact() %}
    [new Date({{point.timestamp}}000), {{point.value}}],
    {% endfor %}
    ]];

        $.jqplot('plot{{loop.index}}', data, {
          title: '{{element[0]}}',
          axesDefaults: {
            labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
            tickRenderer: $.jqplot.CanvasAxisTickRenderer,
          },
          highlighter: {
            show: true,
            sizeAdjust: 7.5,
          },
          axes: {
            xaxis: {
              label: "Time",
              renderer: $.jqplot.DateAxisRenderer,
              tickRenderer: $.jqplot.CanvasAxisTickRenderer,
              tickOptions: { formatString: '%T', angle: -30 },
            },
            yaxis: {
              label: "Values",
            {% set max = element[1].get_max_value() %}
            {% set min = element[1].get_min_value() %}
            {% if max == min %}
              max: ({{max}} + 0.1) * 1.1,
              min: ({{min}} - 0.1) * 0.9,
            {% endif %}
            }
        },
        cursor: {
          show: true,
          zoom: true,
          showTooltip: false,
        },
     });
  {% endfor %}

</script>

{% endif %}
{% endblock body %}
